package com.miyzh.controller;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.nacos.api.config.annotation.NacosValue;
import com.miyzh.rabbitMQ.MsgProducer;
import com.miyzh.service.UploadService;
import com.miyzh.service.WebSocketService;
import com.miyzh.utils.CsvUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import javax.annotation.PostConstruct;
import javax.servlet.http.HttpServletRequest;
import javax.websocket.Session;
import java.math.BigDecimal;
import java.util.*;
import java.util.concurrent.ConcurrentHashMap;

@Controller
public class HomeController {
    @Autowired
    private UploadService uploadService;

    @Autowired
    private WebSocketService webSocketService;

    @Autowired
    private MsgProducer msgProducer;
    @Value("${spring.application.name}")
    private String str;

    @PostConstruct
    public void start() {
        System.out.println(str);
    }


    private static ConcurrentHashMap<String, Session> sessionPools = new ConcurrentHashMap<>();

    @RequestMapping("/login")
    public String login() {
        return "login";
    }

    @RequestMapping("/loginError")
    public String loginError(HttpServletRequest request) {
        request.setAttribute("message", "账号或密码不正确");
        return "login";
    }

    @RequestMapping("/index")
    public String index(HttpServletRequest request) {
        request.setAttribute("name", "111");
        return "index";
    }

    @RequestMapping("/upload")
    public String toIndex(){
        return "upload";
    }

    @RequestMapping("/uploadInfo")
    public String uploadInfo(){
        return "uploadInfo";
    }

    @RequestMapping("/export")
    public String export(){
        return "export";
    }

    @RequestMapping("/batchUpload")
    public String batchUpload(){
        return "batchUpload";
    }

    @RequestMapping("/uploadHistory")
    public String uploadHistory(){
        return "uploadHistory";
    }

    @RequestMapping("/init")
    @ResponseBody
    public String init(){
        return JSONObject.toJSONString(uploadService.init());
    }

    @RequestMapping("/initY")
    @ResponseBody
    public String initY(){
        return JSONObject.toJSONString(uploadService.initY());
    }

    public static void main(String[] args) {

        String str = "206799652\n" +
                "207334025\n" +
                "208007371\n" +
                "208817746\n" +
                "207912317\n" +
                "206977172\n" +
                "207782047\n" +
                "208020160\n" +
                "205866908\n" +
                "208104502\n" +
                "206763543\n" +
                "207427627\n" +
                "205576955\n" +
                "205624801\n" +
                "208735249\n" +
                "208186869\n" +
                "207114799\n" +
                "208008807\n" +
                "207536759\n" +
                "205674813\n" +
                "206969211\n" +
                "205543894\n" +
                "207221214\n" +
                "208484012\n" +
                "208165844\n" +
                "205771603\n" +
                "205542112\n" +
                "205801382\n" +
                "207659693\n" +
                "206556404\n" +
                "207365857\n" +
                "208703091\n" +
                "207411881\n" +
                "207278742\n" +
                "207541478\n" +
                "206456360\n" +
                "205563380\n" +
                "207278181\n" +
                "208812469\n" +
                "208629062\n" +
                "208786615\n" +
                "206008618\n" +
                "208535451\n" +
                "206377114\n" +
                "206715062\n" +
                "207419744\n" +
                "208855243\n" +
                "208902837\n" +
                "207754997\n" +
                "208628059\n" +
                "207539602\n" +
                "208083278\n" +
                "206714226\n" +
                "207713008\n" +
                "206177021\n" +
                "205641046\n" +
                "207410452\n" +
                "207786597\n" +
                "206499686\n" +
                "206501069\n" +
                "205774508\n" +
                "207496070\n" +
                "206577937\n" +
                "205578051\n" +
                "206249434\n" +
                "205572211\n" +
                "205532543\n" +
                "206538760\n" +
                "207540781\n" +
                "205772216\n" +
                "208818200\n" +
                "208732725\n" +
                "206293240\n" +
                "207737759\n" +
                "208316316\n" +
                "205673890\n" +
                "207540263\n" +
                "205810155\n" +
                "207291590\n" +
                "206714792\n" +
                "208845593\n" +
                "206557160\n" +
                "205552412\n" +
                "207545361\n" +
                "206528546\n" +
                "206577205\n" +
                "207268386\n" +
                "207495011\n" +
                "206479529\n" +
                "208006276\n" +
                "206235819\n" +
                "206238887\n" +
                "206541850\n" +
                "205539720\n" +
                "208106794\n" +
                "206058617\n" +
                "206858066\n" +
                "207829642\n" +
                "206822872\n" +
                "205915873\n" +
                "206842545\n" +
                "207205392\n" +
                "206374810\n" +
                "207418823\n" +
                "208195949\n" +
                "206972184\n" +
                "205627736\n" +
                "207397654\n" +
                "206477843\n" +
                "207547466\n" +
                "206713845\n" +
                "205673354\n" +
                "207783621\n" +
                "207078280\n" +
                "208533414\n" +
                "208380405\n" +
                "207300199\n" +
                "207494357\n" +
                "208535698\n" +
                "205586720\n" +
                "205925516\n" +
                "208734748\n" +
                "208314520\n" +
                "207117021\n" +
                "206970206\n" +
                "207784510\n" +
                "205798203\n" +
                "207850716\n" +
                "205764974\n" +
                "206714020\n" +
                "206539862\n" +
                "206691182\n" +
                "208529994\n" +
                "208897909\n" +
                "208868289\n" +
                "206009008\n" +
                "206152863\n" +
                "206141635\n" +
                "207907504\n" +
                "206714482\n" +
                "207388306\n" +
                "207963980\n" +
                "208423695\n" +
                "208424479\n" +
                "206974166\n" +
                "208635792\n" +
                "208535580\n" +
                "205610044\n" +
                "206872380\n" +
                "207276474\n" +
                "208140925\n" +
                "206749083\n" +
                "205914130\n" +
                "208008628\n" +
                "206569056\n" +
                "208812962\n" +
                "206582432\n" +
                "207277680\n" +
                "207050239\n" +
                "205776244\n" +
                "208765470\n" +
                "206265034\n" +
                "205556890\n" +
                "208424995\n" +
                "208820352\n" +
                "205599095\n" +
                "208534007\n" +
                "206266791\n" +
                "205632880\n" +
                "207217230\n" +
                "207666124\n" +
                "207408872\n" +
                "205675961\n" +
                "208006007\n" +
                "206376562\n" +
                "206118315\n" +
                "208332721\n" +
                "206287841\n" +
                "206846481\n" +
                "205579007\n" +
                "207494658\n" +
                "208423264\n" +
                "207318832\n" +
                "206712658\n" +
                "205782152\n" +
                "208034077\n" +
                "205735959\n" +
                "205608621\n" +
                "208664965\n" +
                "205613602\n" +
                "205864210\n" +
                "208196579\n" +
                "206055673\n" +
                "206521776\n" +
                "207741159\n" +
                "208008271\n" +
                "206732933\n" +
                "206840440\n" +
                "207760229\n" +
                "208197341\n" +
                "207904634\n" +
                "206458057\n" +
                "208008871\n" +
                "208315505\n" +
                "205776652\n" +
                "206576943\n" +
                "208730251\n" +
                "208316065\n" +
                "206656021\n" +
                "208881016\n" +
                "205562627\n" +
                "205541296\n" +
                "207545734\n" +
                "207665826\n" +
                "207320432\n" +
                "205735185\n" +
                "205655303\n" +
                "206761814\n" +
                "207544045\n" +
                "207417375\n" +
                "207245034\n" +
                "207379066\n" +
                "207975385\n" +
                "205675498\n" +
                "205629155\n" +
                "208424657\n" +
                "208728950\n" +
                "206476979\n" +
                "208091209\n" +
                "206968614\n" +
                "207722509\n" +
                "207314121\n";
        List<String> list1 = CsvUtil.readCsvCode("E:", "/upload/clinicPreSettleData-37028211955-0.csv");
        List<String> list2 = Arrays.asList(str.replace("\n", ",").split(","));
        list1.removeAll(list2);
        System.out.println(list1);
    }

}
