package com.miyzh.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 入院登记
 * </p>
 *
 * @author liyc
 * @since 2018-01-03
 */
@Data
public class InsHospitalSign implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序列号
     */

    private String id;
    /**
     * 患者id
     */

    private String patientId;
    /**
     * 患者姓名
     */

    private String patientName;
    /**
     * 患者性别
     */

    private String patientSex;
    /**
     * 患者年龄
     */

    private Integer patientAge;
    /**
     * 患者生日
     */

    private Date patientBirth;
    /**
     * 患者电话
     */

    private String patientPhone;
    /**
     * 个人医保编号
     */

    private String patientInsuranceId;
    /**
     * 人员类别
     */

    private String insPersonType;
    /**
     * 身份证id
     */

    private String idCard;
    /**
     * 单位名称
     */

    private String companyId;
    /**
     * 单位编号
     */

    private String companyName;
    /**
     * 区域划分
     */

    private String reginal;
    /**
     * 诊所id
     */

    private String clinicId;
    /**
     * 卡数据格式(*)
     */

    private String cardId;
    /**
     * 结算类别(*)
     */

    private String transcationSettlementType;
    /**
     * 审批编号
     */

    private String approveId;
    /**
     * 科室编码
     */

    private String departmentId;
    /**
     * 门诊/住院号
     */

    private String inHospitalCode;
    /**
     * 诊断代码1
     */

    private String diagnosis1;
    /**
     * 诊断代码2
     */

    private String diagnosis2;
    /**
     * 诊断代码3
     */

    private String diagnosis3;
    /**
     * 入院/建床日期
     */

    private Date inHospitalTime;
    /**
     * 床位号唯一编码
     */

    private String bedNo;
    /**
     * 联系人姓名
     */

    private String contactName;
    /**
     * 联系电话
     */

    private String contactTel;

    private String contactArea;

    private String contactAreaName;

    private String contactAddress;
    /**
     * 主治医师编码
     */

    private String doctorId;
    /**
     * 执业护士编码
     */

    private String nurseId;
    /**
     * 护理员编码
     */

    private String caregiverId;
    /**
     * 医院内部科室编码
     */

    private String clinicDepartmentId;
    /**
     * 就诊编号(*)
     */

    private String visitId;
    /**
     * 合计费用
     */

    private BigDecimal totalCost;
    /**
     * 个人付费
     */

    private BigDecimal selfPay;
    /**
     * 医保金额/统筹金额
     */

    private BigDecimal insurancePay;
    /**
     * 民政救助押金减免比例
     */

    private String depositReliefPresent;
    /**
     * 住院状态
     */

    private Integer status;
    /**
     *
     */

    private String createId;
    /**
     *
     */

    private String createName;
    /**
     *
     */

    private Date createTime;
    /**
     *
     */

    private String updateId;
    /**
     *
     */

    private String updateName;
    /**
     *
     */

    private Date updateTime;
    /**
     *
     */

    private String deleteId;
    /**
     *
     */

    private String deleteName;
    /**
     *
     */

    private Date deleteTime;
    /**
     * 姓名拼音首字母
     *
     */

    private String patientPinyinAbbr;
    /**
     * 主治医师姓名拼音首字母
     *
     */

    private String doctorPinyinAbbr;
    /**
     * 护士姓名
     *
     */

    private String nurseName;
    /**
     * 护理员姓名
     *
     */

    private String caregiverName;
    /**
     * 护理员姓名
     *
     */

    private String doctorName;
    /**
     * 结算类别名称
     */

    private String settlementTypeName;
    /**
     * 医院内部科室名称    
     */

    private String departmentName;

//--------------------------------------
 /**
     * j结算按钮标识   
     */

    private String settlementDisplayFlag;


 /**
     * 出院按钮标识   
     */

    private String outHospitalFlag;


 /**
     * 出院原因   
     */

    private String outHospitalReason;
    /**
     * 出院时间  
     */

    private Date outHospitalTime;

    /**
     * 多诊断的组合
     */
    private String diagnosisValue;
    /**
     * 诊断一
     *
     */
    private String diagnosisValue1;
    /**
     * 诊断二
     *
     */
    private String diagnosisValue2;
    /**
     * 诊断三
     *
     */
    private String diagnosisValue3;

    /**
     * 入院登记病案号
     */

    private String hospitalMedicalRecordNo;

    //住院结算

    private List<InsHospitalSettlement> insHospitalSettleList;


    private String dateMonth;


    private  Integer inHospitalDays;

    //签约人次
    private String signNumber;
    //签约人数
    private String signerNumber;

    //查询结束时间
    private String endTime;
    //查询开始时间
    private String startTime;
    //查询结束时间
    private String outHospitalStartTime;
    //查询开始时间
    private String outHospitalEndTime;
    //查询结束时间
    private String operatingStartTime;
    //查询开始时间
    private String operatingEndTime;

    private String statusFlag;
    //扶贫标识
    private int isSupplementaryFlag = 0;
    //转诊标识
    private int isReferral=0;

    //结算交易流水号
    private String settleTransactionId;

    //收费员id
    private String receiptOperatorId;

}
