package com.miyzh.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 住院结算总表
 * </p>
 *
 * @author liyc
 * @since 2018-01-02
 */
@Data
public class InsHospitalTotalSettlement implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序列号
     */

    private String id;
    /**
     * 患者id
     */

    private String patientId;
    /**
     * 诊所id
     */

    private String clinicId;
    /**
     * 医保卡号
     */

    private String insuranceCardId;
    /**
     * 结算类型 住院结算：1普通住院；2转入医院；3急诊住院；4家庭病床； 5家床转住院；6社区家床；7护理包干；8 床日限额结算；
     * 9 老年专护；A院护；B家护；C 专护；D日间病房；E医保居民生育；F 巡护（社区）；G 巡护（村卫生室）；
     * H日间手术中心；I长期照护；J短期照护；K日间照护；L日间化疗；M康复住院；N儿童日间康复；O急诊留观
     */

    private String settlementType;
    /**
     * 交易类型  1：结算；2：退费
     */

    private String transactionType;
    /**
     * 科室id
     */

    private String departmentId;
    /**
     * 主治医生
     */

    private String doctorId;
    /**
     * 单病种代码/日间病房病种 针对住院结算：
     * 如果交易结算类别为D“日间病房”，则上传疾病分类为“日间病房病种”的病种编码；
     */

    private String singleDiseaseId;
    /**
     * 金额发生日期
     */

    private Date moneyAppendDate;
    /**
     * 住院编号
     */

    private String inHospitalId;
    /**
     * 诊断病种1
     */

    private String diagnosis1;
    /**
     * 诊断病种2
     */

    private String diagnosis2;
    /**
     * 诊断病种3
     */

    private String diagnosis3;
    /**
     * 出院原因  1 治愈 2 好转 3 未愈 4 死亡 5 转院 6 转外 7 家床转住院8中途结算 9 其他
     */

    private String outHospitalReason;
    /**
     * 住院日期
     */

    private Date inHospitalTime;
    /**
     * 出院日期
     */

    private Date outHospitalTime;
    /**
     * 合计金额
     */

    private String totalCost;
    /**
     * 就诊编号
     */

    private String visitCode;
    /**
     * 提交明细的总条数
     */

    private String submitDetailCounts;
    /**
     * 结算交易流水号
     */

    private String settleTransactionId;
    /**
     * 执业护士
     */

    private String nurseId;
    /**
     * 护理员
     */

    private String caregiverId;
    /**
     * 结算状态 1:预结算；2：已结算；3：已撤销；空/其他：未上传
     */

    private String column24;
    /**
     * 患者姓名
     */

    private String patientName;
    /**
     * 患者性别
     */

    private String patientSex;
    /**
     * 患者生日
     */

    private Date patientBirth;
    /**
     * 患者电话
     */

    private String patientPhone;
    /**
     * 个人医保编号
     */

    private String patientInsuranceId;
    /**
     * 人员类别
     */

    private String insPersonType;
    /**
     * 身份证id
     */

    private String idCard;
    /**
     * 单位名称
     */

    private String companyId;
    /**
     * 单位编号
     */

    private String companyName;
    /**
     * 区域划分
     */

    private String reginal;
    /**
     * 个人付费
     */

    private BigDecimal selfPay;
    /**
     * 医保金额/统筹金额
     */

    private BigDecimal insurancePay;
    /**
     * 医生姓名
     */

    private String doctorName;
    /**
     * 科室名称
     */

    private String departmentName;
    /**
     * 护理员姓名
     */

    private String caregiverName;
    /**
     * 执业护士姓名
     */

    private String nurseName;
    /**
     *
     */

    private String createId;
    /**
     *
     */

    private String createName;
    /**
     *
     */

    private Date createTime;
    /**
     *
     */

    private String updateId;
    /**
     *
     */

    private String updateName;
    /**
     *
     */

    private Date updateTime;
    /**
     *
     */

    private String deleteId;
    /**
     *
     */

    private String deleteName;
    /**
     *
     */

    private Date deleteTime;
    /**
     *
     */

    private String diagnosisValue;

    /**
     * 收费员id
     */
    private String receiptOperatorId;
}
