package com.miyzh.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 签约患者表
 * </p>
 *
 * @author liyc
 * @since 2018-01-02
 */
@Data
public class InsPatientInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序列号
     */

    private String id;
    /**
     * 签约诊所id
     */

    private String clinicId;
    /**
     * 医德帮患者id
     */

    private String patientId;

    /**
     * 患者姓名
     */

    private String patientName;
    /**
     * 患者性别
     */

    private String patientSex;
    /**
     * 患者年龄(年)
     */

    private Integer patientAge;

    /**
     * 患者年龄(月)
     */

    private Integer patientMonth;
    /**
     * 患者生日
     */

    private Date patientBirth;
    /**
     * 患者电话
     */

    private String patientPhone;
    /**
     * 诊所签约状态
     */

    private String clinicSignStatus;
    /**
     * 医保卡号
     */

    private String insuranceCardId;
    /**
     * 个人编号
     */

    private String insuranceId;
    /**
     *身份证号
     */

    private String patientIdentity;
    /**
     * 单位id
     */

    private String companyId;
    /**
     * 单位名称
     */

    private String companyName;
    /**
     * 区划
     */

    private String reginal;
    /**
     * 人员类别
     */

    private String insPersonType;
    /**
     * 签约社区编码 暂时不确定是否和医疗机构编码相同
     */

    private String communitySignId;
    /**
     * 待遇享受开始时间
     */

    private Date enjoyCareBeginDate;
    /**
     * 待遇享受结束时间
     */

    private Date enjoyCareEndDate;
    /**
     * 签约开始时间
     */

    private Date signEndDate;
    /**
     * 签约结束时间
     */

    private Date signBeginDate;
    /**
     * 签约类别 1：家庭医生；2：社区门诊；3：农民工；4：大学生集体
     */

    private String signType;
    /**
     * 住院就诊编号
     */

    private String visitCode;
    /**
     * 就诊日期
     */

    private Date visitDate;
    /**
     * 医疗类型
     */

    private String medicalType;
    /**
     * 医院名称
     */

    private String hospitalName;
    /**
     * 大病签约诊所id
     */

    private String diseaseClinicSignId;
    /**
     * 定点医院编码1
     */

    private String pointHospital1;
    /**
     * 定点类型1
     */

    private String pointHospitalType1;
    /**
     * 定点医院编码2
     */

    private String pointHospital2;
    /**
     * 定点类型2
     */

    private String pointHospitalType2;
    /**
     * 定点医院编码3
     */

    private String pointHospital3;
    /**
     * 定点类型3
     */

    private String pointHospitalType3;
    /**
     * 第1月缴费类别 1：正常交；2：未缴费；3：已退收；
     */

    private String payment1;
    /**
     * 第2月缴费类别
     */

    private String payment2;
    /**
     * 第3月缴费类别
     */

    private String payment3;
    /**
     * 第4月缴费类别
     */

    private String payment4;
    /**
     * 第5月缴费类别
     */

    private String payment5;
    /**
     * 第6月缴费类别
     */

    private String payment6;
    /**
     * 第7月缴费类别
     */

    private String payment7;
    /**
     * 第8月缴费类别
     */

    private String payment8;
    /**
     * 第9月缴费类别
     */

    private String payment9;
    /**
     * 第10月缴费类别
     */

    private String payment10;
    /**
     * 第11月缴费类别
     */

    private String payment11;
    /**
     * 第12月缴费类别
     */

    private String payment12;
    /**
     *
     */

    private String createId;
    /**
     *
     */

    private String createName;
    /**
     *
     */

    private Date createDate;
    /**
     *
     */

    private String updateId;
    /**
     *
     */

    private String updateName;
    /**
     *
     */

    private Date updateDate;
    /**
     *
     */

    private String deleteName;
    /**
     * 门诊病案号
     */

    private String clcMedicalRecordNo;
    /**
     * 大病病案号
     */

    private String diseasesMedicalRecordNo;
    /**
     * 入院登记病案号
     */

    private String hospitalMedicalRecordNo;


    /**
     * 结算后所有结算结果
     */
    private InsDSettlement totalBills;

    /**
     * 签约类型
     */

    private List<PatientPrepositionData> patientPrepositionData;

    private String allergy;
    private String mHistory;

//    private PatientMedicalRecord patientMedicalRecord;
    private  int patientAgeYear;
    private  int patientAgeMonth = 0;

}
