package com.miyzh.entity;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
@XStreamAlias("Request")
public class RequestVo {
    @XStreamAlias("TradeCode")
    private String tradeCode; // 交易码

    @XStreamAlias("Version")
    private String version; //

    @XStreamAlias("YLJGDM")
    private String yljgdm; // 医疗机构代码

    @XStreamAlias("YLJGMC")
    private String yljgmc;

    @XStreamAlias("YLJGXZQH")
    private String yljgxzqh; // 医疗机构行政区划

    @XStreamAlias("AgentIP")
    private String agentIP;

    @XStreamAlias("AgentMAC")
    private String agentMAC;

    @XStreamAlias("JYSJ")
    private String jysj; // 交易时间

    @XStreamAlias("SERIAL_NUMBER")
    private String serialNumber; // 业务流水号

    @XStreamAlias("HS_NUMBER")
    private String hsNumber; // 门诊号

    @XStreamAlias("Patient_IDStr")
    private String patientIdstr; // 医保个人编号

    @XStreamAlias("HS_PATIENT_NAME")
    private String hsPatientName; // 参保人姓名

    @XStreamAlias("CBRXZQH")
    private String cbrxzqh; // 参保人行政区划

    @XStreamAlias("BENEFIT_TYPE_CODE")
    private String benefitTypeCode; // 参保类型编码

    @XStreamAlias("BENEFIT_TYPE")
    private String benefitType; // 参保类型名称

    @XStreamAlias("BMI_CONVERED_AMOUNT")
    private BigDecimal bmiConveredAmount; // 医保内金额合计

    @XStreamAlias("CKC892")
    private String ckc892; // 登记时间

    @XStreamAlias("PatientBenefitGroupCode")
    private String patientBenefitGroupCode; // 参保人特殊保险类型组编码

    @XStreamAlias("BENEFIT_GROUP_ID")
    private String benefitgroupId; // 人员类别编码

    @XStreamAlias("MpName")
    private String mpName; // 人员类别名称

    @XStreamAlias("GENDER")
    private int gender; // 性别

    @XStreamAlias("PATIENT_BIRTH")
    private String patientBirth; // 出生日期

    @XStreamAlias("AGE")
    private int age; // 年龄

    @XStreamAlias("MCardNo")
    private String mCardNo; // 医保卡号

    @XStreamAlias("CardType")
    private String cardType; // 证件类型

    @XStreamAlias("CardNo")
    private String cardNo; // 证件号码

    @XStreamAlias("PayUnit")
    private String payUnit; // 缴费单位

    @XStreamAlias("HS_STATUS")
    private String hsStatus; // 住院状态

    @XStreamAlias("Contact")
    private String contact; // 联系方式

    @XStreamAlias("DOC_NUMBER")
    private String docNumber; // 单据号

    @XStreamAlias("BNo")
    private String bno; // 单据唯一ID

    @XStreamAlias("MEDICAL_TYPE")
    private String medicalType; // 就医方式

    @XStreamAlias("MEDICAL_TYPE_NAME")
    private String medicalTypeName; // 就医方式名称

    @XStreamAlias("JZWYBH")
    private String jzwybh; // 就诊编码

    @XStreamAlias("BDate")
    private String bdate; // 结算时间

    @XStreamAlias("HOSPITAL_ID")
    private String hospitalId; // 定点机构ID

    @XStreamAlias("HospitalType")
    private String hospitalType; // 定点机构类型

    @XStreamAlias("HOSPITAL_LEVEL")
    private String hospitalLevel; // 定点机构等级

    @XStreamAlias("DeptCode")
    private String deptCode; // 科室代码

    @XStreamAlias("AKF005")
    private String akf005; // 医生代码

    @XStreamAlias("HS_DIAGNOSIS_IN_NAME")
    private String hsDiagnosisInName; // 入院诊断中文名

    @XStreamAlias("HS_DIAGNOSIS_OUT_NAME")
    private String hsDiagnosisOutName; // 出院诊断中文名

    @XStreamAlias("DIAGNOSIS_IN")
    private String diagnosisIn; // 入院诊断编码

    @XStreamAlias("DIAGNOSIS_OUT")
    private String diagnosisOut; // 出院诊断编码

    @XStreamAlias("ICD1")
    private String icd1; // 第一副诊断编码

    @XStreamAlias("ICD2")
    private String icd2; //

    @XStreamAlias("ICD3")
    private String icd3;

    @XStreamAlias("ICD4")
    private String icd4;

    @XStreamAlias("ICD5")
    private String icd5;

    @XStreamAlias("ICD6")
    private String icd6;

    @XStreamAlias("ICD7")
    private String icd7;

    @XStreamAlias("ICD8")
    private String icd8;

    @XStreamAlias("ICD9")
    private String icd9;

    @XStreamAlias("ICD10")
    private String icd10;

    @XStreamAlias("ICD11")
    private String icd11;

    @XStreamAlias("ICD12")
    private String icd12;

    @XStreamAlias("ICD13")
    private String icd13;

    @XStreamAlias("ICD14")
    private String icd14;

    @XStreamAlias("ICD15")
    private String icd15;

    @XStreamAlias("ICD16")
    private String icd16;

    @XStreamAlias("IN_DATE")
    private String inDate; // 入院日期

    @XStreamAlias("OUT_DATE")
    private String outDate; // 出院日期

    @XStreamAlias("SETTLE_DATE")
    private String settleDate; // 结算日期

    @XStreamAlias("CDate")
    private String CDate; // 就诊日期

    @XStreamAlias("TOTAL_COST")
    private BigDecimal totalCost; // 费用总金额

    @XStreamAlias("MtCode")
    private String mtCode; //

    @XStreamAlias("Refund")
    private String refund; // 退费标志

    @XStreamAlias("RefundBNo")
    private String refundBNo; // 对应被退单据唯一流水号

    @XStreamAlias("HName")
    private String hName; // 定点机构名称

    @XStreamAlias("FHID")
    private String fhid; // 费用发生机构编码

    @XStreamAlias("FHName")
    private String fHName; // 费用发生机构名称

    @XStreamAlias("THName")
    private String tHName; //

    @XStreamAlias("DPVisit")
    private String dPVisit;

    @XStreamAlias("OHReasonCode")
    private String oHReasonCode;

    @XStreamAlias("CDBNo")
    private String cDBNo;

    @XStreamAlias("CDICD")
    private String cdicd;

    @XStreamAlias("IsPregnant")
    private String isPregnant;

    @XStreamAlias("IsLactation")
    private String isLactation;

    @XStreamAlias("Height")
    private String height;

    @XStreamAlias("Weight")
    private String weight;

    @XStreamAlias("TInHosp")
    private String tinHosp;

    @XStreamAlias("ChargeBNo")
    private String chargeBNo;

    @XStreamAlias("DPMpName")
    private String dPMpName;

    @XStreamAlias("DPDist")
    private String dPDist;

    @XStreamAlias("Bed")
    private String bed;

    @XStreamAlias("BillDetailList")
    private List<BillDetailVo> billDetailList; //

    @XStreamAlias("STATUS")
    private Integer status;

    @XStreamAlias("TotalJe")
    private String totalJe;

    @XStreamAlias("PayUpLine")
    private String payUpLine;

    @XStreamAlias("TotalTCJe")
    private String totalTCJe;

    @XStreamAlias("PartTcJe")
    private String partTcJe;

    @XStreamAlias("TotaLSelfAmount")
    private String totaLSelfAmount;

    @XStreamAlias("SelfPayUpSvr")
    private String selfPayUpSvr;

    @XStreamAlias("PartSelfAmount")
    private String partSelfAmount;

    @XStreamAlias("AccPayJe")
    private String accPayJe;

    @XStreamAlias("TcPayJe")
    private String tcPayJe;

    @XStreamAlias("LargeSalvPayAmount")
    private String largeSalvPayAmount;

    @XStreamAlias("SvtOffer")
    private String svtOffer;

    @XStreamAlias("BJOffer")
    private String bJOffer;

    @XStreamAlias("BillState")
    private String billState;

    @XStreamAlias("SvtPayJe")
    private String svtPayJe;

    @XStreamAlias("SvtTcPayJe")
    private String svtTcPayJe;

    @XStreamAlias("GrXjPayJe")
    private String grXjPayJe;

    @XStreamAlias("SpecDrugSalvPayAmont")
    private String specDrugSalvPayAmont;

    @XStreamAlias("SpecMatSalvPayAmount")
    private String specMatSalvPayAmount;

    @XStreamAlias("LargeSalvPayAmountOu")
    private String largeSalvPayAmountOu;

    @XStreamAlias("SuppNationSpecDrugPayAmount")
    private String suppNationSpecDrugPayAmount;

    @XStreamAlias("SuppNationSpecMatPayAmount")
    private String suppNationSpecMatPayAmount;

    @XStreamAlias("SuppNationLargePayAmount")
    private String suppNationLargePayAmount;

    @XStreamAlias("SuppNationSpecItemPayAmount")
    private String suppNationSpecItemPayAmount;

    @XStreamAlias("SpecILLSalvPayAmount")
    private String specILLSalvPayAmount;

    @XStreamAlias("LargeSalvPayAmountIn")
    private String largeSalvPayAmountIn;

    @XStreamAlias("OverSalvPayAmount")
    private String overSalvPayAmount;

    @XStreamAlias("DiscountInsurePayAmount")
    private String discountInsurePayAmount;

    @XStreamAlias("MGSalvPayCur_2")
    private String mGSalvPayCur_2;

    @XStreamAlias("MGSalvPayCur_1")
    private String mGSalvPayCur_1;

    @XStreamAlias("SalvTotPayFlag")
    private String salvTotPayFlag;

    @XStreamAlias("SecondSalvPayAmount_1")
    private String secondSalvPayAmount_1;

    @XStreamAlias("SecondSalvPayAmount")
    private String secondSalvPayAmount;

    @XStreamAlias("SecondSalvPayAmount_2")
    private String secondSalvPayAmount_2;

    @XStreamAlias("PatientbenefitgroupCode")
    private String patientbenefitgroupCode;

    @XStreamAlias("SELF_PERSENT")
    private String selfPersent;

    @XStreamAlias("DOCTOR_NAME")
    private String doctorName; // 医生姓名

    @XStreamAlias("DEPARTMENT_NAME")
    private String departmentName; // 科室名称

    @XStreamAlias("SETTLE_TRANSACTION_ID")
    private String settleTransactionId;

    @XStreamAlias("DETAIL_INVOICE_ID")
    private String detailInvoiceId;

    @XStreamAlias("PERSONAL_TOTAL_SCORE")
    private String personalTotalScore;

    @XStreamAlias("INSIDE_LARGE_AMOUNT_PAYMENT")
    private String insideLargeAmountPayment;

    @XStreamAlias("ALL_SUPPLEMENT_INS_AMOUNT")
    private String allSupplementInsAmount;

    @XStreamAlias("PREMIUMS_PAYMENT_AMOUNT")
    private String premiumsPaymentAmount;

    @XStreamAlias("LOWER_INS_PAYMENT_AMOUNT_THIS_YEAR")
    private String lowerInsPaymentAmountThisYear;

    @XStreamAlias("INS_TYPE")
    private String insType;


}
